###
### This file was automatically generated
###

from archinfo.arch import register_arch, Endness, Register

from .common import ArchPcode


class ArchPcode_pa_risc_BE_32_default(ArchPcode):
    name = 'pa-risc:BE:32:default'
    pcode_arch = 'pa-risc:BE:32:default'
    description = 'Generic PA-RISC 32-bit big endian'
    bits = 32
    ip_offset = 0x6008
    sp_offset = 0x78
    bp_offset = sp_offset
    instruction_endness = Endness.BE
    register_list = [
        Register('r0', 4, 0x0),
        Register('r1', 4, 0x4),
        Register('rp', 4, 0x8),
        Register('r3', 4, 0xc),
        Register('r4', 4, 0x10),
        Register('r5', 4, 0x14),
        Register('r6', 4, 0x18),
        Register('r7', 4, 0x1c),
        Register('r8', 4, 0x20),
        Register('r9', 4, 0x24),
        Register('r10', 4, 0x28),
        Register('r11', 4, 0x2c),
        Register('r12', 4, 0x30),
        Register('r13', 4, 0x34),
        Register('r14', 4, 0x38),
        Register('r15', 4, 0x3c),
        Register('r16', 4, 0x40),
        Register('r17', 4, 0x44),
        Register('r18', 4, 0x48),
        Register('r19', 4, 0x4c),
        Register('r20', 4, 0x50),
        Register('r21', 4, 0x54),
        Register('r22', 4, 0x58),
        Register('r23', 4, 0x5c),
        Register('r24', 4, 0x60),
        Register('r25', 4, 0x64),
        Register('r26', 4, 0x68),
        Register('dp', 4, 0x6c),
        Register('r28', 4, 0x70),
        Register('r29', 4, 0x74),
        Register('sp', 4, 0x78),
        Register('r31', 4, 0x7c),
        Register('fr0', 8, 0x1000),
        Register('fr0r', 4, 0x1000),
        Register('fr0l', 4, 0x1004),
        Register('fpe23', 8, 0x1008),
        Register('fpe2', 4, 0x1008),
        Register('fpe3', 4, 0x100c),
        Register('fpe45', 8, 0x1010),
        Register('fpe4', 4, 0x1010),
        Register('fpe5', 4, 0x1014),
        Register('fpe67', 8, 0x1018),
        Register('fpe6', 4, 0x1018),
        Register('fpe7', 4, 0x101c),
        Register('fr4', 8, 0x1020),
        Register('fr4l', 4, 0x1020),
        Register('fr4r', 4, 0x1024),
        Register('fr5', 8, 0x1028),
        Register('fr5l', 4, 0x1028),
        Register('fr5r', 4, 0x102c),
        Register('fr6', 8, 0x1030),
        Register('fr6l', 4, 0x1030),
        Register('fr6r', 4, 0x1034),
        Register('fr7', 8, 0x1038),
        Register('fr7l', 4, 0x1038),
        Register('fr7r', 4, 0x103c),
        Register('fr8', 8, 0x1040),
        Register('fr8l', 4, 0x1040),
        Register('fr8r', 4, 0x1044),
        Register('fr9', 8, 0x1048),
        Register('fr9l', 4, 0x1048),
        Register('fr9r', 4, 0x104c),
        Register('fr10', 8, 0x1050),
        Register('fr10l', 4, 0x1050),
        Register('fr10r', 4, 0x1054),
        Register('fr11', 8, 0x1058),
        Register('fr11l', 4, 0x1058),
        Register('fr11r', 4, 0x105c),
        Register('fr12', 8, 0x1060),
        Register('fr12l', 4, 0x1060),
        Register('fr12r', 4, 0x1064),
        Register('fr13', 8, 0x1068),
        Register('fr13l', 4, 0x1068),
        Register('fr13r', 4, 0x106c),
        Register('fr14', 8, 0x1070),
        Register('fr14l', 4, 0x1070),
        Register('fr14r', 4, 0x1074),
        Register('fr15', 8, 0x1078),
        Register('fr15l', 4, 0x1078),
        Register('fr15r', 4, 0x107c),
        Register('fr16', 8, 0x1080),
        Register('fr16l', 4, 0x1080),
        Register('fr16r', 4, 0x1084),
        Register('fr17', 8, 0x1088),
        Register('fr17l', 4, 0x1088),
        Register('fr17r', 4, 0x108c),
        Register('fr18', 8, 0x1090),
        Register('fr18l', 4, 0x1090),
        Register('fr18r', 4, 0x1094),
        Register('fr19', 8, 0x1098),
        Register('fr19l', 4, 0x1098),
        Register('fr19r', 4, 0x109c),
        Register('fr20', 8, 0x10a0),
        Register('fr20l', 4, 0x10a0),
        Register('fr20r', 4, 0x10a4),
        Register('fr21', 8, 0x10a8),
        Register('fr21l', 4, 0x10a8),
        Register('fr21r', 4, 0x10ac),
        Register('fr22', 8, 0x10b0),
        Register('fr22l', 4, 0x10b0),
        Register('fr22r', 4, 0x10b4),
        Register('fr23', 8, 0x10b8),
        Register('fr23l', 4, 0x10b8),
        Register('fr23r', 4, 0x10bc),
        Register('fr24', 8, 0x10c0),
        Register('fr24l', 4, 0x10c0),
        Register('fr24r', 4, 0x10c4),
        Register('fr25', 8, 0x10c8),
        Register('fr25l', 4, 0x10c8),
        Register('fr25r', 4, 0x10cc),
        Register('fr26', 8, 0x10d0),
        Register('fr26l', 4, 0x10d0),
        Register('fr26r', 4, 0x10d4),
        Register('fr27', 8, 0x10d8),
        Register('fr27l', 4, 0x10d8),
        Register('fr27r', 4, 0x10dc),
        Register('fr28', 8, 0x10e0),
        Register('fr28l', 4, 0x10e0),
        Register('fr28r', 4, 0x10e4),
        Register('fr29', 8, 0x10e8),
        Register('fr29l', 4, 0x10e8),
        Register('fr29r', 4, 0x10ec),
        Register('fr30', 8, 0x10f0),
        Register('fr30l', 4, 0x10f0),
        Register('fr30r', 4, 0x10f4),
        Register('fr31', 8, 0x10f8),
        Register('fr31l', 4, 0x10f8),
        Register('fr31r', 4, 0x10fc),
        Register('comparebit', 1, 0x1100),
        Register('comparequeue', 1, 0x1101),
        Register('shr0', 4, 0x2000),
        Register('shr1', 4, 0x2004),
        Register('shr2', 4, 0x2008),
        Register('shr3', 4, 0x200c),
        Register('shr4', 4, 0x2010),
        Register('shr5', 4, 0x2014),
        Register('shr6', 4, 0x2018),
        Register('sr0', 4, 0x3000),
        Register('sr1', 4, 0x3004),
        Register('sr2', 4, 0x3008),
        Register('sr3', 4, 0x300c),
        Register('sr4', 4, 0x3010),
        Register('sr5', 4, 0x3014),
        Register('sr6', 4, 0x3018),
        Register('sr7', 4, 0x301c),
        Register('pswy', 1, 0x4000),
        Register('pswz', 1, 0x4001),
        Register('pswe', 1, 0x4002),
        Register('psws', 1, 0x4003),
        Register('pswt', 1, 0x4004),
        Register('pswh', 1, 0x4005),
        Register('pswl', 1, 0x4006),
        Register('pswn', 1, 0x4007),
        Register('pswx', 1, 0x4008),
        Register('pswb', 1, 0x4009),
        Register('pswc', 1, 0x400a),
        Register('pswv', 1, 0x400b),
        Register('pswm', 1, 0x400c),
        Register('pswcb', 1, 0x400d),
        Register('pswg', 1, 0x400e),
        Register('pswf', 1, 0x400f),
        Register('pswr', 1, 0x4010),
        Register('pswq', 1, 0x4011),
        Register('pswp', 1, 0x4012),
        Register('pswd', 1, 0x4013),
        Register('pswi', 1, 0x4014),
        Register('cr0', 4, 0x5000),
        Register('cr1', 4, 0x5004),
        Register('cr2', 4, 0x5008),
        Register('cr3', 4, 0x500c),
        Register('cr4', 4, 0x5010),
        Register('cr5', 4, 0x5014),
        Register('cr6', 4, 0x5018),
        Register('cr7', 4, 0x501c),
        Register('cr8', 4, 0x5020),
        Register('cr9', 4, 0x5024),
        Register('cr10', 4, 0x5028),
        Register('sar', 4, 0x502c),
        Register('cr12', 4, 0x5030),
        Register('cr13', 4, 0x5034),
        Register('cr14', 4, 0x5038),
        Register('cr15', 4, 0x503c),
        Register('cr16', 4, 0x5040),
        Register('cr17', 4, 0x5044),
        Register('cr18', 4, 0x5048),
        Register('cr19', 4, 0x504c),
        Register('cr20', 4, 0x5050),
        Register('cr21', 4, 0x5054),
        Register('cr22', 4, 0x5058),
        Register('cr23', 4, 0x505c),
        Register('cr24', 4, 0x5060),
        Register('cr25', 4, 0x5064),
        Register('cr26', 4, 0x5068),
        Register('cr27', 4, 0x506c),
        Register('cr28', 4, 0x5070),
        Register('cr29', 4, 0x5074),
        Register('cr30', 4, 0x5078),
        Register('cr31', 4, 0x507c),
        Register('iasq_front', 4, 0x6000),
        Register('iasq_back', 4, 0x6004),
        Register('iaoq_front', 4, 0x6008, alias_names=('pc', 'ip')),
        Register('iaoq_back', 4, 0x600c),
        Register('nullifycond', 1, 0x7000),
        Register('nullifynextcond', 1, 0x7001),
        Register('branchcond', 1, 0x7002),
        Register('branchexecuted', 1, 0x7003),
        Register('branchinddest', 4, 0x7100),
        Register('nullifycondresult', 4, 0x7104),
        Register('contextreg', 12, 0x7200)
    ]

register_arch(['pa-risc:be:32:default'], 32, Endness.BE, ArchPcode_pa_risc_BE_32_default)
